language: php
sudo: false

php:
    - 5.3
    - 5.4
    - 5.5
    - 5.6
    - hhvm

services:
    - riak
    - mongodb
    - memcached
    - redis-server

before_script:
    - ./Tests/travis/install-deps.sh
    - composer self-update
    - if [ "$DEPS" = "dev" ]; then perl -pi -e 's/^}$/,"minimum-stability":"dev"}/' composer.json; fi;
    - composer update --prefer-source

script:
    - ./vendor/bin/phpunit -v --coverage-clover ./build/logs/clover.xml
    - ./vendor/bin/phpcs -np --extensions=php --ignore=vendor/*,Tests/* --standard=ruleset.xml .

after_script:
    - php ./vendor/bin/coveralls -v

matrix:
    allow_failures:
        - php: hhvm
    include:
        - php: 5.6
          env: DEPS="dev"
